<?php
/**
 * ryusSmartyPluginsEx
 * @author Ryuji http://ryus.co.jp/
 */
class ryusSmartyPluginsEx extends XCube_ActionFilter
{
	function preBlockFilter()
	{
		$this->mRoot->mDelegateManager->add('XoopsTpl.New', array(&$this, 'exPluginsDir'));

	}
	function exPluginsDir(&$xoopsTpl)
	{
		$xoopsTpl->plugins_dir[] = XOOPS_TRUST_PATH.'/libs/smartyplugins';
	}
}

?>